Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161972 - iiop protocol with IBM JVM requires the naming server to be previously started
Summary: iiop protocol with IBM JVM requires the naming server to be previously started
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: jonas
Version: 2.0-beta
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fernando Nasser
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 19:55 UTC by Fernando Nasser
Modified: 2007-04-18 17:28 UTC (History)
1 user (show)

Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 14:34:25 UTC


Attachments (Terms of Use)

Description Fernando Nasser 2005-06-28 19:55:28 UTC
Description of problem:

JOnAS can only start up with iiop on a IBM JVM if the naming service is started
manually first.

Version-Release number of selected component (if applicable):

RHAPS V2 Beta 

java-1.4.2-ibm-1.4.2.1-1jpp_2rh.ia64.rpm


How reproducible:

Always


Steps to Reproduce:
1. Set the protocol to iiop in carol.properties
2. Try and start JOnAS
3.
  
Actual results:

2005-06-23 17:41:30,608 : NamingManager.<init> : NamingManager: Cannot
build an instance of the class
'org.objectweb.carol.jndi.spi.JacORBIIOPContext' : COS Name Service not
registered with ORB under the name 'NameService'
JOnAS error: org.objectweb.jonas.service.ServiceException : Cannot
init/start registryorg.objectweb.jonas.service.ServiceException : JOnAS:
Cannot start Naming Manager (javax.naming.NamingException: Cannot build
an instance of the class
'org.objectweb.carol.jndi.spi.JacORBIIOPContext' : COS Name Service not
registered with ORB under the name 'NameService')
org.objectweb.jonas.service.ServiceException : Cannot init/start
registryorg.objectweb.jonas.service.ServiceException : JOnAS: Cannot
start Naming Manager (javax.naming.NamingException: Cannot build an
instance of the class 'org.objectweb.carol.jndi.spi.JacORBIIOPContext' :
COS Name Service not registered with ORB under the name 'NameService')
        at
org.objectweb.jonas.service.ServiceManager.startRegistry(ServiceManager.java:289)
        at org.objectweb.jonas.server.Server.start(Server.java:390)
        at org.objectweb.jonas.server.Server.main(Server.java:167)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:85)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:58)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:60)
        at java.lang.reflect.Method.invoke(Method.java:391)
        at org.objectweb.jonas.server.Bootstrap.main(Bootstrap.java:97)
JOnAS halting

Expected results:

The JOnAS Server 'jonas' version 4.4.2 is ready

Additional info:

From Deepak Bhole:

Starting the naming service manually did work.

Just for the record, the command to start the naming service with iiop
is:

<location to javabin>/java.bin
-Djava.endorsed.dirs=$JONAS_ROOT/lib/endorsed
-Djacorb.orb.print_version=off -Djacorb.log.default.verbosity=0
-Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB
-Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton
-DOAPort=2001
-DORBInitRef.NameService=corbaloc:iiop:localhost:2001/NameService
org.jacorb.naming.NameServer


Where $JONAS_ROOT maybe be predefined, or instead, the location of jonas
can be used directly on commandline.

Following this, one can do 'service jonas start' as root. Jonas starts
up and uses the manually started naming service.

Comment 1 Fernando Nasser 2005-09-28 14:34:25 UTC
Not the case with final V2 and RHEL4 U1.


Note You need to log in before you can comment on or make changes to this bug.